> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all tokens

> Get all tokens



## OpenAPI

````yaml GET /token
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token:
    get:
      tags:
        - Token
      summary: Get all tokens
      description: Get all tokens
      operationId: list
      parameters: []
      responses:
        '200':
          description: The tokens have been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    TokenDTO:
      type: object
      properties:
        name:
          type: string
          description: The name of the token
          example: ACME Token
        symbol:
          type: string
          description: The symbol of the token
          example: ACME
        address:
          type: string
          description: The address of the token
          example: '0xc0ffee254729296a45a3885639AC7E10F9d54979'
        decimals:
          type: number
          description: The number of decimals places the token should have
          example: 18
        isPaused:
          type: boolean
          description: Whether the token is paused
          example: false
        totalSupply:
          type: number
          description: The total supply of the token
        createdAt:
          format: date-time
          type: string
          description: The date the token was created
      required:
        - name
        - symbol
        - address
        - decimals
        - isPaused
        - totalSupply
        - createdAt

````